## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanOutputTranscoder Class Reference

`#include <XalanTranscodingServices.hpp>`

Inheritance diagram for XalanOutputTranscoder:

[legend]
List of all members.

## Public Types

- typedef XalanTranscodingServices::XalanXMLByte XalanXMLByte
- typedef XalanTranscodingServices::eCode eCode

## Public Methods

- XalanOutputTranscoder ()
- virtual ~XalanOutputTranscoder ()
- virtual eCode transcode (const XalanDOMChar *theSourceData, size_t theSourceCount, XalanXMLByte *theTarget, size_t theTargetSize, size_t &theSourceCharsTranscoded, size_t &theTargetBytesUsed)=0
    Transcode data from UTF-16 to the transcoder's encoding. More...
- virtual eCode transcode (const XalanXMLByte *theSourceData, size_t theSourceCount, XalanDOMChar *theTarget, size_t theTargetSize, size_t &theSourceCharsTranscoded, size_t &theTargetBytesUsed, unsigned char *theCharSizes)=0
    Transcode data from the transcoder's encoding to UTF-16. More...
- virtual bool canTranscodeTo (unsigned int theChar) const=0

## Member Typedef Documentation

typedef XalanTranscodingServices::XalanXMLByte XalanOutputTranscoder::XalanXMLByte

typedef XalanTranscodingServices::eCode XalanOutputTranscoder::eCode

## Constructor & Destructor Documentation

XalanOutputTranscoder::XalanOutputTranscoder ( | )`[explicit]`

XalanOutputTranscoder::~XalanOutputTranscoder ( | )`[virtual]`

## Member Function Documentation

bool XalanOutputTranscoder::canTranscodeTo ( | unsigned int theChar ) const`[pure virtual]`

| Reimplemented in XalanUTF16Transcoder.

eCode XalanOutputTranscoder::transcode ( | const XalanXMLByte * theSourceData,
| size_t theSourceCount,
| XalanDOMChar * theTarget,
| size_t theTargetSize,
| size_t & theSourceCharsTranscoded,
| size_t & theTargetBytesUsed,
| unsigned char * theCharSizes )`[pure virtual]`

  | Transcode data from the transcoder's encoding to UTF-16. If successfull, theResult will be set to OK. If not, it will be set to one of the other codes. Parameters:
  theSourceData | The source data to transcode
  theSourceCount | The length of the source data.
  theTarget | The target array for storing the transcoded data.
  theTargetSize | The number of characters that can be stored in the target.
  theSourceCharsTranscoded | The count of the source characters that were transcoded.
  theTargetBytesUsed | The number of characters stored in the target array
  theCharSizes | For each character in theTarget, the number of characters consumed from theSourceData.
Returns: The result code. Reimplemented in XalanUTF16Transcoder.

eCode XalanOutputTranscoder::transcode ( | const XalanDOMChar * theSourceData,
| size_t theSourceCount,
| XalanXMLByte * theTarget,
| size_t theTargetSize,
| size_t & theSourceCharsTranscoded,
| size_t & theTargetBytesUsed )`[pure virtual]`

  | Transcode data from UTF-16 to the transcoder's encoding. If successfull, theResult will be set to OK. If not, it will be set to one of the other codes. Parameters:
  theSourceData | The source data to transcode
  theSourceCount | The length of the source data.
  theTarget | The target array for storing the transcoded data.
  theTargetSize | The number of characters that can be stored in the target.
  theSourceCharsTranscoded | The count of the source characters that were transcoded.
  theTargetBytesUsed | The number of characters stored in the target array
Returns: The result code. Reimplemented in XalanUTF16Transcoder.

The documentation for this class was generated from the following file:

- XalanTranscodingServices.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.